Skip to main content
`Ctrl`+`K`

# DMStagVecGetArrayRead

get read-only access to a local array

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagVecGetArrayRead(DM dm, Vec vec, void *array)

Logically Collective

See the man page for `DMStagVecGetArray()` for more information.

## Input Parameters

- dm - the `DMSTAG` object

- vec - the `Vec` object

## Output Parameter

- array - the read-only array

## Note

`DMStagVecRestoreArrayRead()` must be called, once finished with the array

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetLocationSlot()`, `DMGetLocalVector()`, `DMCreateLocalVector()`, `DMGetGlobalVector()`, `DMCreateGlobalVector()`, `DMDAVecGetArrayRead()`, `DMDAVecGetArrayDOFRead()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/impls/stag/tutorials/ex3.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages